- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/accountPermissions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/accountPermissions/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/accountPermissions/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/accountPermissions/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/accountPermissions/list#body.AccountPermissionsListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/accountPermissions/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/accountPermissions/list#try-it)

Retrieves the list of account permissions.

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/accountPermissions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Request body

The request body must be empty.

### Response body

Account Permission accountPermissions.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "accountPermissions": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/accountPermissions#AccountPermission`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#accountPermissionsListResponse"`. |
| `accountPermissions[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/accountPermissions#AccountPermission`)`` Account permission collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`